For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
    • Template
    • Bulk Send Job
    • Report
      • POSTCreate Report
    • Team
    • Unclaimed Draft
    • Embedded
    • API App
    • Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
    • Glossary
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceReport

Create Report

||View as Markdown|
POST
https://api.hellosign.com/v3/report/create
POST
/v3/report/create
$curl -X POST 'https://api.hellosign.com/v3/report/create' \
> -u 'YOUR_API_KEY:' \
> -F 'start_date=09/01/2020' \
> -F 'end_date=09/01/2020' \
> -F 'report_type[]=user_activity' \
> -F 'report_type[]=document_status'
1{
2 "report": {
3 "success": "Your request is being processed. You will receive an email when the report is ready.",
4 "start_date": "09/01/2020",
5 "end_date": "09/02/2020",
6 "report_type": [
7 "user_activity",
8 "document_status"
9 ]
10 }
11}

Request the creation of one or more report(s).

When the report(s) have been generated, you will receive an email (one per requested report type) containing a link to download the report as a CSV file. The requested date range may be up to 12 months in duration, and start_date must not be more than 10 years in the past.

Was this page helpful?
Previous

Report

Next

Team

Built with

Authentication

AuthorizationBasic

Your API key can be used to make calls to the Dropbox Sign API. See Authentication for more information. ✅ Supported by Try it console (calls sent in test_mode only).

OR
AuthorizationBearer

You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See Authentication for more information. ❌ Not supported by Try it console.

Request

This endpoint expects an object.
end_datestringRequired

The (inclusive) end date for the report data in MM/DD/YYYY format.

report_typelist of enumsRequired

The type(s) of the report you are requesting. Allowed values are user_activity and document_status. User activity reports contain list of all users and their activity during the specified date range. Document status report contain a list of signature requests created in the specified time range (and their status).

Allowed values:
start_datestringRequired

The (inclusive) start date for the report data in MM/DD/YYYY format.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
reportobject
Contains information about the report request.
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error